shibboleth-3.5.0

Public Member Functions | List of all members
shibsp::ResolutionContext Class Referenceabstract

A context for a resolution request. More...

`#include <shibsp/attribute/resolver/ResolutionContext.h>`

## Public Member Functions
virtual std::vector< Attribute * > & | getResolvedAttributes ()=0
| Returns the set of Attributes resolved and added to the context. More...
virtual std::vector< opensaml::Assertion * > & | getResolvedAssertions ()=0
| Returns the set of assertions resolved and added to the context. More...

## Detailed Description

A context for a resolution request.

## Member Function Documentation

## ◆ getResolvedAssertions()

virtual std::vector< opensaml::Assertion * > & shibsp::ResolutionContext::getResolvedAssertions | ( |  | ) |
| pure virtual

Returns the set of assertions resolved and added to the context.

Any assertions left in the returned container will be freed by the context, so the caller should modify/clear the container after copying objects for its own use.

Returns
  a mutable array of Assertions

## ◆ getResolvedAttributes()

virtual std::vector< Attribute * > & shibsp::ResolutionContext::getResolvedAttributes | ( |  | ) |
| pure virtual

Returns the set of Attributes resolved and added to the context.

Any Attributes left in the returned container will be freed by the context, so the caller should modify/clear the container after copying objects for its own use.

Returns
  a mutable array of Attributes.

The documentation for this class was generated from the following file:

- shibsp/attribute/resolver/ResolutionContext.h